## libnl3 3.2.7

=== debian/control ===
Source: libnl3
Section: net
Priority: optional
Maintainer: Heiko Stuebner <mmind@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), cdbs (>= 0.4.93~), doxygen, bison, flex, mscgen, graphviz,
 python-pygments, xmlstarlet, texlive-latex-base, asciidoc, automake,
 source-highlight, autoconf, ghostscript, dh-autoreconf
Standards-Version: 3.9.3
Homepage: http://people.suug.ch/~tgr/libnl/

Package: libnl-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets 
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.

Package: libnl-cli-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), libnl-genl-3-200 (= ${binary:Version}), libnl-nf-3-200 (= ${binary:Version}), libnl-route-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - cli helpers
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 Library for cli helpers in libnl-utils.

Package: libnl-utils
Architecture: linux-any
Section: libs
Depends: libnl-cli-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Utilities for dealing with netlink sockets
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 These utilities help dealing with netlink sockets.

Package: libnl-genl-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - generic netlink
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 API to the generic netlink protocol, an extended version of the netlink
 protocol.

Package: libnl-nf-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), libnl-route-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - netfilter interface
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 API to netlink based netfilter configuration and monitoring interfaces.

Package: libnl-route-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - route interface
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 API to the configuration interfaces of the NETLINK_ROUTE family.

Package: libnl-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}
Conflicts: libnl-dev, libnl2-dev
Suggests: libnl3-doc
Breaks: libnl3-dev
Replaces: libnl3-dev
Description: development library and headers for libnl-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the headers needed by all libraries and the  files
 that are needed to build applications using libnl3.

Package: libnl-cli-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-genl-3-dev (= ${binary:Version}), libnl-nf-3-dev (= ${binary:Version}), libnl-route-3-dev (= ${binary:Version}), libnl-cli-3-200 (= ${binary:Version}), ${misc:Depends}
Description: development library and headers for libnl-cli-3
 This is a library for applications dealing with netlink sockets. 
 The library provides an interface for raw netlink messaging and various 
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-cli-3.

Package: libnl-genl-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-genl-3-200 (= ${binary:Version}), ${misc:Depends}
Description: development library and headers for libnl-genl-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-genl-3.

Package: libnl-nf-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-route-3-dev (= ${binary:Version}), libnl-nf-3-200 (= ${binary:Version}), ${misc:Depends}
Description: development library and headers for libnl-nf-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-nf-3.

Package: libnl-route-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-route-3-200 (= ${binary:Version}), ${misc:Depends}
Description: development library and headers for libnl-route-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-route-3.

Package: libnl-3-200-dbg
Architecture: linux-any
Section: debug
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Description: debug symbols for libnl3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat easier
 to interpret core dumps. The libraries are installed in /usr/lib/debug and
 are automatically used by gdb.

Package: libnl-3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base
Description: API documentation for libnl3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the API reference documentation for libnl3.

Package: libnl-3-200-udeb
Architecture: linux-any
XC-Package-Type: udeb
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for dealing with netlink sockets 
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package is a udeb. It's only useful inside of debian-installer.

Package: libnl-genl-3-200-udeb
Architecture: linux-any
XC-Package-Type: udeb
Section: debian-installer
Depends: libnl-3-200-udeb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: library for dealing with netlink sockets - generic netlink
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package is a udeb. It's only useful inside of debian-installer.
