## libnl3 3.2.21

=== debian/changelog ===
libnl3 (3.2.21-1ubuntu4.1) trusty-security; urgency=medium

  * SECURITY UPDATE: integer-overflow in nlmsg_reserve()
    - debian/patches/CVE-2017-0553.patch: check len in lib/msg.c.
    - CVE-2017-0553

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Jun 2017 09:10:21 -0400

libnl3 (3.2.21-1ubuntu4) trusty; urgency=high

  [ Jorge Niedbalski ]
  * d/p/lib-nl-Increase-receive-buffer-size-to-4-pages.patch: Increase 
  receive buffer size to 4 pages by default. (LP: #1567578).

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 24 Oct 2016 16:26:30 +0200

libnl3 (3.2.21-1ubuntu3) trusty; urgency=medium

  * Add a versioned Breaks on network-manager (<< 0.9.8.8-0ubuntu7.3~)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 13 May 2016 13:09:20 -0600

libnl3 (3.2.21-1ubuntu1) trusty; urgency=low

  * Apply backported upstream patches (Closes: LP: #1511735)
    - lib-socket-use-proper-typed-constant-UINT32_MAX.patch
    - lib-socket-don-t-fail-if-no-more-local-ports-can-be.patch
    - lib-socket-retry-generate-local-port-in-nl_connect.patch
    - lib-socket-randomize-the-generated-local-port.patch
    - lib-nl-preserve-s_local-if-nl_connect-fails.patch
    - socket-clear-port-when-unable-to-generate-local-port.patch
    - socket-add-fallback-for-nl_connect-by-trying-to-bind.patch
    - socket-fix-assertion-in-nl_connect-when-all-ports-ar.patch
  * Updated symbol file libnl-3-200.symbols

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 28 Jan 2016 10:19:00 -0600

libnl3 (3.2.21-1) unstable; urgency=low

  * New upstream release (Closes: #707081)
    Including CAN support (Closes: #698954)
  * Add symbols files (Closes: #654758)
  * Provide static libraries (Closes: #693939, #693940)
  * Update standards to 3.9.4
  * Removed doc package. Libnl3 documentation is released
    separately now.

 -- Heiko Stuebner <mmind@debian.org>  Tue, 21 May 2013 11:39:13 +0200

libnl3 (3.2.7-4) unstable; urgency=low

  * Add watch file (Closes: #679473)
  * Use dh-autoreconf to update the build system (Closes: 679474)

 -- Heiko Stuebner <mmind@debian.org>  Sat, 30 Jun 2012 15:54:25 +0200

libnl3 (3.2.7-3) unstable; urgency=low

  * Fix FTBFS due to failing gen-tags.sh (Closes: #674322)
  * Convert to Multi-Arch (Closes: #676611)
  * Update standards to 3.9.3 - no changes
  * Switch to dpkg-source format 3.0 (quilt)

 -- Heiko Stuebner <mmind@debian.org>  Mon, 18 Jun 2012 21:19:30 +0200

libnl3 (3.2.7-2) unstable; urgency=low

  * Force doxygen dot-threads to 1 to circumvent segfaults on armel
  * Add missing build-dependency on ghostscript

 -- Heiko Stuebner <mmind@debian.org>  Mon, 05 Mar 2012 23:29:10 +0100

libnl3 (3.2.7-1) unstable; urgency=low

  * New upstream release
  * Build-depend on source-highlight (Closes: #657254)

 -- Heiko Stuebner <mmind@debian.org>  Mon, 13 Feb 2012 18:59:30 +0100

libnl3 (3.2.3-2) unstable; urgency=low

  * Upload to unstable
  * Split split udeb to be in line with regular packages
  * Move libnl and libnl-genl to /lib for iw and wpa_supplicant.

 -- Heiko Stuebner <mmind@debian.org>  Mon, 19 Dec 2011 20:43:21 +0100

libnl3 (3.2.3-1) experimental; urgency=low

  * Upload to experimental to not break debian-installer
  * Split library and dev packages for the individual libraries
  * Add utils package

  [Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>]
  * New upstream release (Closes: #648819)
  * debian/patches/0001-fix-headers.patch,
    debian/patches/0002-link-sub-libs.patch,
    debian/patches/0003-fix-out-of-tree-build.patch: dropped.
  * debian/patches/0004-more-out-of-tree-build-fixes.patch: new patch; adjust
    Makefiles some more to properly deal with the out-of-tree build when
    generating headers and documentation.
  * debian/control:
    - rename packages to follow upstream soname.
    - add python-pygments, xmlstarlet, texlive-latex-base and asciidoc to
      Build-Depends.
  * debian/rules: update due to upstream soname changes.
  * debian/*.install: rename and update due to upstream soname changes.
  * debian/libnl-3-200.install: netlink config files should be installed to
    /etc/libnl, not /etc/libnl3.
  * debian/libnl-3-doc.install,
    debian/libnl-3-doc.doc-base: update to take into account new paths.

 -- Heiko Stuebner <mmind@debian.org>  Tue, 06 Nov 2011 21:23:12 +0200

libnl3 (3.0-2) unstable; urgency=low

  * Acknowledge NMU
  * Install config-files to /etc/libnl3 (Closes: #632790)

 -- Heiko Stuebner <mmind@debian.org>  Mon, 26 Sep 2011 20:27:45 +0200

libnl3 (3.0-1.1) unstable; urgency=low

  * Non-maintainer upload with agreement from Heiko Stuebner
  * Add libnl3-udeb package with seperate build for 
    debian-installer (Closes: #635962).

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 29 Jul 2011 23:25:48 +0200

libnl3 (3.0-1) unstable; urgency=low

  * New upstream release (Closes: #626098)
    see README.Debian for version explanation.
  * Update standards to 3.9.2

 -- Heiko Stuebner <mmind@debian.org>  Sat, 21 May 2011 19:25:13 +0200

libnl2 (2.0-1) unstable; urgency=low

  * New upstream release (Closes: #603765)
  * Fix compilation with binutils-gold or ld --no-add-needed
    (Closes: #615745)
  * Update standards
  * Update build dependencies - tetex-live is not necessary
    anymore (Closes: #616260)

 -- Heiko Stuebner <mmind@debian.org>  Sun, 06 Mar 2011 18:20:47 +0100

libnl2 (1.99+git20091216-2) unstable; urgency=low

  * add README.source describing the patches in use.
  * remove libnl*-provides - libnl2 should stay sepparate
    from libnl1 for now

 -- Heiko Stuebner <heiko@sntech.de>  Wed, 10 Mar 2010 18:03:35 +0100

libnl2 (1.99+git20091216-1) unstable; urgency=low

  * New upstream snapshot
  * New source name to enable installing libnl and libnl2 side by side
  * Set myself as new maintainer for libnl2 according to agreement
    with Michael Biebl
  * Add debug package
  * README.Debian warns of possible breakage in this snapshot
  * Add Patch 0001 which fixes some errors in the build system

