=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libnl3
 Section: net
 Priority: optional
-Maintainer: Heiko Stuebner <mmind@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Heiko Stuebner <mmind@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), cdbs (>= 0.4.93~), doxygen, bison, flex, mscgen, graphviz,
- python-pygments, xmlstarlet, texlive-latex-base, asciidoc, automake,
- source-highlight, autoconf, ghostscript, dh-autoreconf
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), cdbs (>= 0.4.93~), bison, flex,
+ automake, autoconf, dh-autoreconf, linux-libc-dev (>= 3.2.41)
+Standards-Version: 3.9.4
 Homepage: http://people.suug.ch/~tgr/libnl/
 
 Package: libnl-3-200
@@ -14,6 +14,7 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: network-manager (<< 0.9.8.8-0ubuntu7.3~)
 Multi-Arch: same
 Description: library for dealing with netlink sockets 
  This is a library for applications dealing with netlink sockets.
@@ -89,7 +90,6 @@
 Section: libdevel
 Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libnl-dev, libnl2-dev
-Suggests: libnl3-doc
 Breaks: libnl3-dev
 Replaces: libnl3-dev
 Description: development library and headers for libnl-3
@@ -163,18 +163,6 @@
  to interpret core dumps. The libraries are installed in /usr/lib/debug and
  are automatically used by gdb.
 
-Package: libnl-3-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Suggests: doc-base
-Description: API documentation for libnl3
- This is a library for applications dealing with netlink sockets.
- The library provides an interface for raw netlink messaging and various
- netlink family specific interfaces.
- .
- This package contains the API reference documentation for libnl3.
-
 Package: libnl-3-200-udeb
 Architecture: linux-any
 XC-Package-Type: udeb
