## libnl3 3.2.24

=== debian/changelog ===
libnl3 (3.2.24-2~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild in a clean environment

 -- Sandro Tosi <morph@debian.org>  Tue, 26 Jan 2016 20:00:07 +0000

libnl3 (3.2.24-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2015 05:36:00 -0400

libnl3 (3.2.24-2) unstable; urgency=low

  * Backport two upstream fixes to prevent issues with older kernels:
    - dfd0a80ec845 (route: don't enforce minlen in inet6_parse_protinfo()
      (IFLA_PROTINFO) and inet_parse_af() (IFLA_AF_SPEC)
    - 5206c050504f (route/addr: only sent IFA_FLAGS when needed to workaround
      picky older kernels)

 -- Heiko Stuebner <mmind@debian.org>  Fri, 18 Apr 2014 17:19:37 +0200

libnl3 (3.2.24-1) unstable; urgency=low

  * New upstream release
  * Add new libnl-idiag library handling inetdiag requests

 -- Heiko Stuebner <mmind@debian.org>  Sun, 16 Feb 2014 14:23:26 +0100
