## libnl3 3.2.27

=== debian/changelog ===
libnl3 (3.2.27-1ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: integer-overflow in nlmsg_reserve()
    - debian/patches/CVE-2017-0553.patch: check len in lib/msg.c.
    - CVE-2017-0553

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Jun 2017 09:09:09 -0400

libnl3 (3.2.27-1) unstable; urgency=low

  * New upstream release
    Including fixes for unusable sockets after a failed portid
    generation (Closes: #808213)

 -- Heiko Stuebner <mmind@debian.org>  Sun, 24 Jan 2016 23:54:47 +0100

libnl3 (3.2.26-1) unstable; urgency=low

  * New upstream release
  * Provide Multiarch:same dev packages
  * Add new libnl-xfrm library handling packet transformations
  * Update standards to 3.9.6

 -- Heiko Stuebner <mmind@debian.org>  Mon, 13 Jul 2015 14:16:22 +0200
