=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Heiko Stuebner <mmind@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), cdbs (>= 0.4.93~), bison, flex,
- automake, autoconf, dh-autoreconf, linux-libc-dev (>= 3.2.41)
-Standards-Version: 3.9.4
-Homepage: http://people.suug.ch/~tgr/libnl/
+ automake, autoconf, dh-autoreconf, linux-libc-dev (>= 3.2.41), pkg-config
+Standards-Version: 3.9.6
+Homepage: http://www.infradead.org/~tgr/libnl/
+#Vcs-Git: git://anonscm.debian.org/collab-maint/libnl3.git
+#Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libnl3.git/
 
 Package: libnl-3-200
 Architecture: linux-any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: network-manager (<< 0.9.8.8-0ubuntu7.3~)
 Multi-Arch: same
 Description: library for dealing with netlink sockets 
  This is a library for applications dealing with netlink sockets.
@@ -37,7 +37,7 @@
 Package: libnl-utils
 Architecture: linux-any
 Section: libs
-Depends: libnl-cli-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libnl-cli-3-200 (= ${binary:Version}), libnl-idiag-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Utilities for dealing with netlink sockets
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -59,6 +59,19 @@
  API to the generic netlink protocol, an extended version of the netlink
  protocol.
 
+Package: libnl-idiag-3-200
+Architecture: linux-any
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: library for dealing with netlink sockets - inetdiag interface
+ This is a library for applications dealing with netlink sockets.
+ The library provides an interface for raw netlink messaging and various
+ netlink family specific interfaces.
+ .
+ API to the inetdiag netlink protocol, handling inetdiag requests
+
 Package: libnl-nf-3-200
 Architecture: linux-any
 Section: libs
@@ -84,6 +97,20 @@
  netlink family specific interfaces.
  .
  API to the configuration interfaces of the NETLINK_ROUTE family.
+
+Package: libnl-xfrm-3-200
+Architecture: linux-any
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: library for dealing with netlink sockets - package transformations
+ This is a library for applications dealing with netlink sockets.
+ The library provides an interface for raw netlink messaging and various
+ netlink family specific interfaces.
+ .
+ API to netlink based package transformations (such as encrypting
+ their payloads).
 
 Package: libnl-3-dev
 Architecture: linux-any
@@ -92,6 +119,7 @@
 Conflicts: libnl-dev, libnl2-dev
 Breaks: libnl3-dev
 Replaces: libnl3-dev
+Multi-Arch: same
 Description: development library and headers for libnl-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -104,6 +132,7 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-genl-3-dev (= ${binary:Version}), libnl-nf-3-dev (= ${binary:Version}), libnl-route-3-dev (= ${binary:Version}), libnl-cli-3-200 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: development library and headers for libnl-cli-3
  This is a library for applications dealing with netlink sockets. 
  The library provides an interface for raw netlink messaging and various 
@@ -116,6 +145,7 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-genl-3-200 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: development library and headers for libnl-genl-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -124,10 +154,24 @@
  This package contains the files that are needed to build applications using
  libnl-genl-3.
 
+Package: libnl-idiag-3-dev
+Architecture: linux-any
+Section: libdevel
+Depends: libnl-3-dev (= ${binary:Version}), libnl-idiag-3-200 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: development library and headers for libnl-genl-3
+ This is a library for applications dealing with netlink sockets.
+ The library provides an interface for raw netlink messaging and various
+ netlink family specific interfaces.
+ .
+ This package contains the files that are needed to build applications using
+ libnl-idiag-3.
+
 Package: libnl-nf-3-dev
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-route-3-dev (= ${binary:Version}), libnl-nf-3-200 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: development library and headers for libnl-nf-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -140,6 +184,7 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-route-3-200 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: development library and headers for libnl-route-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -147,6 +192,19 @@
  .
  This package contains the files that are needed to build applications using
  libnl-route-3.
+
+Package: libnl-xfrm-3-dev
+Architecture: linux-any
+Section: libdevel
+Depends: libnl-3-dev (= ${binary:Version}), libnl-xfrm-3-200 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: development library and headers for libnl-xfrm-3
+ This is a library for applications dealing with netlink sockets.
+ The library provides an interface for raw netlink messaging and various
+ netlink family specific interfaces.
+ .
+ This package contains the files that are needed to build applications using
+ libnl-xfrm-3.
 
 Package: libnl-3-200-dbg
 Architecture: linux-any
