=== debian/watch ===
version=3
http://www.infradead.org/~tgr/libnl/files/libnl-(.*)\.tar\.gz
