## libnl3 3.2.27-cl4.3.2u2

=== debian/changelog ===
libnl3 (3.2.27-cl4.3.2u2) RELEASED; urgency=medium

  * Cumulus Linux 4.3.2u2.

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Wed, 01 Nov 2023 11:05:32 -0700

libnl3 (3.2.27-cl4.3.2u1) RELEASED; urgency=medium

  * Cumulus Linux 4.3.2.

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Tue, 07 Feb 2023 13:43:59 -0800

libnl3 (3.2.27-cl4.3.1u1) RELEASED; urgency=medium

  [ Binu G ]
  * Updated version to 3.2.27-cl4.3.1u1

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Thu, 25 Aug 2022 09:05:46 -0700

libnl3 (3.2.27-cl4.3.0u1) RELEASED; urgency=medium

  [ Binu G ]
  * Enabled sanitizer build option

  [ Benjamin Poirier ]
  * Revert "VXLAN: support for Head-end or Self Replication"
  * Revert "bridge: Add mdb timer information"

  [ Tobias Klauser ]
  * genl: drop usage of GENL_ID_GENERATE

  [ Michael Forney ]
  * Sync linux headers to 4.19.66

  [ Benjamin Poirier ]
  * CUMULUS: Use a different name for multicast address families

  [ Thomas Haller ]
  * gitignore: ignore test binaries in "tests/"

  [ Benjamin Poirier ]
  * CUMULUS: Add missing test programs to gitignore
  * CUMULUS: nexthop: Add hashing function

  [ Andy Roulin ]
  * CUMULUS: fix four resource leaks

  [ Benjamin Poirier ]
  * CUMULUS: Update kernel headers to add "offload" and "trap" indications to routes
  * CUMULUS: route: Print "offload" and "trap" route flags
  * CUMULUS: Add route offload flag example

  [ Roopa Prabhu ]
  * CUMULUS: lib: route_obj: support for RTM_F_OFFLOAD_FAILED
  * CUMULUS: tests: update test-route-offload to set RTM_F_OFFLOAD_FAILED

  [ Benjamin Poirier ]
  * CUMULUS: route: Consider NHID when comparing objects
  * CUMULUS: Update kernel headers to fix RTM_F_OFFLOAD_FAILED definition

  [ Thomas Winter ]
  * ipgre: Fix wrong array size initialization

  [ Benjamin Poirier ]
  * CUMULUS: Add rtnl_route_change()
  * CUMULUS: nl-route-add: Add --replace option
  * CUMULUS: nl-route-add: Add --flags option to set route flags
  * CUMULUS: cli/route: Add nexthop id option
  * CUMULUS: route: Add support for set_hw_flags rtnl command

  [ Roopa Prabhu ]
  * CUMULUS: route: save nlmsg_pid from netlink header to route object
  * CUMULUS: tests: add code to demonstrate use of newly added nlmsgpid

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Fri, 08 Jan 2021 14:00:24 -0800

libnl3 (3.2.27-cl4.2.1u1) RELEASED; urgency=medium

  [ Benjamin Poirier ]
  * CUMULUS: nexthop: Remove assignment without effect
  * CUMULUS: nexthop: Fix object comparison

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Mon, 14 Sep 2020 13:38:43 -0700

libnl3 (3.2.27-cl4u4) RELEASED; urgency=medium

  [ sharathr ]
  * CUMULUS : lib: route: nexthop expose rtnl_route_nh_set_id and rtnl_route_nh_set_family to user application.

  [ Benjamin Poirier ]
  * CUMULUS: tests: Clean up link cache manager test
  * CUMULUS: route/inet6: Fix stray indentation in detailed dump
  * CUMULUS: bridge: Use consistent field separators in detailed dump
  * CUMULUS: bridge: Refactor VLAN_INFO parsing
  * CUMULUS: bridge: Refactor bitmap ops
  * CUMULUS: bridge: Process IFLA_BRIDGE_VLAN_TUNNEL_INFO
  * CUMULUS: bridge: Support IFLA_BRPORT_VLAN_TUNNEL flag

  [ Roopa Prabhu ]
  * CUMULUS: lib: route: neigh: support for src vni attribute

  [ Benjamin Poirier ]
  * CUMULUS: Add sample code to access bridge device vlan tunnel info

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Fri, 14 Aug 2020 12:13:46 -0700

libnl3 (3.2.27-cl4u3) RELEASED; urgency=medium

  [ David Ahern ]
  * CUMULUS: Update rtnetlink.h uapi to 4.19.10 plus nexthop API
  * CUMULUS: Import nexthop.h uapi from kernel
  * CUMULUS: route: Add support for NH_ID attribute
  * CUMULUS: rtnl: Add helper to generate nexthop dump requests
  * CUMULUS: Add support for nexthop objects
  * CUMULUS: Update nl-monitor for nexthops
  * CUMULUS: nexthop: Export rtnl_nexthop_parse and remove set operations
  * CUMULUS: nexthops: Remove use of nexthop_grp

  [ Roopa Prabhu ]
  * CUMULUS: include: linux-private: update neighbour.h with latest from 4.19 kernel
  * CUMULUS: include: linux: add nexthop id to fdb entry
  * CUMULUS: include: linux-private: linux: add NHA_FDB flag attr
  * CUMULUS: include: netlink-private: add fdb flag support on nexthops
  * CUMULUS: lib: route: neigh: add nexthop id to fdb entries

  [ Vinay Prasad V ]
  * CUMULUS: lib: route: nexthop: multiple fixes

  [ Roopa Prabhu ]
  * CUMULUS: libnl: test-cache-mngr-all-families: new test program to iter over all families

  [ Nikolay Aleksandrov ]
  * CUMULUS: include: update if_link and if_bridge with the new attributes
  * CUMULUS: lib: route: bridge: add support for IFLA_BRPORT_DUMMY_SPH_FILTER
  * CUMULUS: lib: route: bridge: add support for IFLA_BRPORT_DUMMY_BLOCK_BUM
  * CUMULUS: lib: route: bridge: add support for IFLA_BRPORT_DUMMY_BACKUP_NHID

  [ Vinay Prasad V ]
  * CUMULUS: route: neigh: add rtnl_neigh_set_nh_id to set the NH ID
  * CUMULUS: lib: route: bridge: Multiple fixes

  [ sharathr ]
  * CUMULUS : lib: route: nexthop: bridge: Expose BR_SPH_LIST_SIZE in bridge.h

  [ Vinay Prasad V ]
  * CUMULUS: lib:route:neigh print the neigh flags in the dump

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 17:10:59 -0700

libnl3 (3.2.27-cl4u2) RELEASED; urgency=medium

  [ mpalai ]
  * CUMULUS: genl: Change genl_talk to take a pointer to memory to be freed
  * [CUMULUS] route: neigh: heap buffer overflow

  [ Andy Roulin ]
  * CUMULUS: debian: regenerate libnl-route-3-200.symbols

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Tue, 03 Mar 2020 21:52:00 +0000

libnl3 (3.2.27-cl4u1) RELEASED; urgency=medium

  [ Cumulus Networks ]
    * Initial package for CL4.x

  [ David Ahern ]
  * CUMULUS: genl: Free msg in genl_recv_msg

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Thu, 18 Apr 2019 14:08:49 -0700

libnl3 (3.2.27-cl3u11) RELEASED; urgency=medium

    Closes: CM-21153 neigh: set correct address family for NDA_DST


