=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: libnl3
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Heiko Stuebner <mmind@debian.org>
+Maintainer: Cumulus Networks dev support <dev-support@cumulusnetworks.com>
 Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), cdbs (>= 0.4.93~), bison, flex,
- automake, autoconf, dh-autoreconf, linux-libc-dev (>= 3.2.41), pkg-config
-Standards-Version: 3.9.6
-Homepage: http://www.infradead.org/~tgr/libnl/
-#Vcs-Git: git://anonscm.debian.org/collab-maint/libnl3.git
-#Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libnl3.git/
+ automake, autoconf, dh-autoreconf, linux-libc-dev (>= 3.2.41), pkg-config, git
+Standards-Version: 3.9.5
+Homepage: http://people.suug.ch/~tgr/libnl/
 
 Package: libnl-3-200
 Architecture: linux-any
@@ -97,20 +94,6 @@
  netlink family specific interfaces.
  .
  API to the configuration interfaces of the NETLINK_ROUTE family.
-
-Package: libnl-xfrm-3-200
-Architecture: linux-any
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
-Description: library for dealing with netlink sockets - package transformations
- This is a library for applications dealing with netlink sockets.
- The library provides an interface for raw netlink messaging and various
- netlink family specific interfaces.
- .
- API to netlink based package transformations (such as encrypting
- their payloads).
 
 Package: libnl-3-dev
 Architecture: linux-any
@@ -119,7 +102,6 @@
 Conflicts: libnl-dev, libnl2-dev
 Breaks: libnl3-dev
 Replaces: libnl3-dev
-Multi-Arch: same
 Description: development library and headers for libnl-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -132,7 +114,6 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-genl-3-dev (= ${binary:Version}), libnl-nf-3-dev (= ${binary:Version}), libnl-route-3-dev (= ${binary:Version}), libnl-cli-3-200 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
 Description: development library and headers for libnl-cli-3
  This is a library for applications dealing with netlink sockets. 
  The library provides an interface for raw netlink messaging and various 
@@ -145,7 +126,6 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-genl-3-200 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
 Description: development library and headers for libnl-genl-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -158,7 +138,6 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-idiag-3-200 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
 Description: development library and headers for libnl-genl-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -171,7 +150,6 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-route-3-dev (= ${binary:Version}), libnl-nf-3-200 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
 Description: development library and headers for libnl-nf-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -184,7 +162,6 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libnl-3-dev (= ${binary:Version}), libnl-route-3-200 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
 Description: development library and headers for libnl-route-3
  This is a library for applications dealing with netlink sockets.
  The library provides an interface for raw netlink messaging and various
@@ -192,19 +169,6 @@
  .
  This package contains the files that are needed to build applications using
  libnl-route-3.
-
-Package: libnl-xfrm-3-dev
-Architecture: linux-any
-Section: libdevel
-Depends: libnl-3-dev (= ${binary:Version}), libnl-xfrm-3-200 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: development library and headers for libnl-xfrm-3
- This is a library for applications dealing with netlink sockets.
- The library provides an interface for raw netlink messaging and various
- netlink family specific interfaces.
- .
- This package contains the files that are needed to build applications using
- libnl-xfrm-3.
 
 Package: libnl-3-200-dbg
 Architecture: linux-any
