=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 udeb_libnl=libnl-3-200-udeb
 udeb_libnl_genl=libnl-genl-3-200-udeb
 
-TG_BRANCHES := debian/etc-libnl-3,debian/out-of-tree
+TG_BRANCHES := debian/etc-libnl-3,debian/out-of-tree,debian/no-symvers,fixes/idiag-pkgconfig
 
 -include /usr/share/topgit/tg2quilt.mk
 
@@ -19,9 +19,15 @@
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
+AUTO_CONF =
+ifneq (,$(filter sanitizer,$(DEB_BUILD_OPTIONS)))
+	AUTO_CONF = --enable-sanitizer
+endif
+
 # FIXME: not honoured
 #CFLAGS_udeb += $(CFLAGS) -Os
 CFLAGS += $(if $(findstring udeb,$(cdbs_make_curflavor)),-Os)
+CFLAGS += -fno-omit-frame-pointer
 
 DEB_DH_STRIP_ARGS := --dbg-package=libnl-3-200-dbg
 DEB_DH_MAKESHLIBS_ARGS_libnl-3-200 := --add-udeb=$(udeb_libnl)
@@ -32,8 +38,10 @@
 
 DEB_DH_INSTALL_ARGS_$(udeb) += --sourcedir=debian/tmp/udeb
 
-DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) $(AUTO_CONF)
 
 clean::
 	# from some unknown reason CDBS does not remove the builddir
 	rm -rf $(DEB_BUILDDIR)
+	rm -f debian/stamp-autotools-files
+	rm -f debian/*.log
