## libnl3 3.2.29

=== debian/changelog ===
libnl3 (3.2.29-0ubuntu3) artful; urgency=medium

  * SECURITY UPDATE: integer-overflow in nlmsg_reserve()
    - debian/patches/ubuntu/CVE-2017-0553.patch: check len in lib/msg.c.
    - CVE-2017-0553

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Jun 2017 09:07:03 -0400

libnl3 (3.2.29-0ubuntu2) zesty; urgency=medium

  * Fix crash in sriov environments (LP: #1673491)
    Applying patches of upstream issue #126, see the link for more:
    https://github.com/thom311/libnl/issues/126
    - d/p/u/sriov-avoid-buffer-overrun-in-rtnl_link_sriov_parse_vflist.patch
    - d/p/u/sriov-fix-crash-in-rtnl_link_sriov_parse_vflist.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 17 Mar 2017 10:12:17 +0100

libnl3 (3.2.29-0ubuntu1) zesty; urgency=medium

  * New upstream release from github.com/thom311/libnl

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Feb 2017 17:47:07 +0000
