## libnl3 3.4.0

=== debian/changelog ===
libnl3 (3.4.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 26 Apr 2019 15:40:41 +0200

libnl3 (3.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #880631)
  * Update standards to 4.1.4:
    - Make libnl-3-200-dbg priority optional
    - Include upstream signing key
    - use https in #Vcs-Browse
  * Update watch file to new github location and add signature check

 -- Heiko Stuebner <mmind@debian.org>  Wed, 16 May 2018 10:32:27 +0200
