## libnl3 3.5.0

=== debian/changelog ===
libnl3 (3.5.0-0.1) unstable; urgency=low

  * Non-maintainer upload (Closes: #983310)
  * For this NMU, modifications have been limited to:
    - Symbols have been updated
    - Patches have been refreshed

 -- Matthieu Baerts <matthieu.baerts@tessares.net>  Mon, 07 Feb 2022 16:07:26 +0100
